%define major	8
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Library for reading lines from a terminal
Name:		readline
Version:	8.1
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
Url:		http://tiswww.case.edu/php/chet/readline/rltop.html
Source0:	ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz.sig
Patch0:		readline-4.3-no_rpath.patch
Patch1:		readline-4.1-outdated.patch
Patch2:		rl-header.patch
Patch3:		rl-attribute.patch

BuildRequires:	pkgconfig(ncursesw)

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package -n %{libname}
Summary:	Shared libraries for readline
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked to readline.

%package doc
Summary:	Readline documentation in GNU info format
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}

%description doc
This package contains readline documentation in the GNU info format.

%package -n %{develname}
Summary:	Files for developing programs that use the readline library
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	ncursesw-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup -q
%patch0 -p1 -b .no_rpath
%patch1 -p1 -b .outdated
%patch2 -p1 -b .header
%patch3 -p1 -b .attribute

# Fix upstream perm Bug #3053
chmod 644 examples/rlfe/ChangeLog

%build
%configure \
	--disable-static \
	--disable-install-examples \
	--with-curses \
	--enable-multibyte
%make_build SHLIB_LIBS="-lncursesw"

%install
%make_install

perl -p -i -e 's|/usr/local/bin/perl|/usr/bin/perl|' doc/texi2html

rm -rf %{buildroot}%{_docdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files doc
%{_infodir}/*info*

%files -n %{develname}
%doc CHANGELOG CHANGES MANIFEST README USAGE
%doc doc examples support
%{_mandir}/man3/*
%{_includedir}/readline
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 8.1-1.mga8
+ Revision: 1665490
- 8.1
- rediff patches 1 and 3
- remove upstream patch for readline 8.0

* Wed Aug 19 2020 ovitters <ovitters> 8.0-3.mga8
+ Revision: 1615985
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Tue Feb 18 2020 umeabot <umeabot> 8.0-2.mga8
+ Revision: 1542014
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 8.0-1.mga8
+ Revision: 1475892
- library major is now 8
- 8.0
- remove upstreamed patch 4
- remove patch 23 as spec said to when updating
- replace upstream 7.0 patches with upstream 8.0 patch

* Sun Sep 23 2018 umeabot <umeabot> 7.0-3.mga7
+ Revision: 1300796
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 wally <wally> 7.0-2.mga7
+ Revision: 1252538
- add upstream patch level 5 patches
- disable static build
- drop old obsoletes

* Thu Oct 19 2017 mjack <mjack> 7.0-1.mga7
+ Revision: 1172757
- Updated to version 7.0
- Rediffed the gdb.patch
- Added upstream patches : 70-001, 70-002, 70-003
- Removed patches applied in upstream : readline63-00*.patch

* Fri Feb 12 2016 umeabot <umeabot> 6.3-9.mga6
+ Revision: 958754
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 shlomif <shlomif> 6.3-8.mga6
+ Revision: 871587
- Fix for a crash with r[PgUp][PgUp]

* Fri Aug 21 2015 tmb <tmb> 6.3-7.mga6
+ Revision: 867693
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 6.3-6.mga5
+ Revision: 745237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3-5.mga5
+ Revision: 688628
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 6.3-4.mga5
+ Revision: 664518
- add upstream patches 007 and 008

* Tue Jun 10 2014 luigiwalser <luigiwalser> 6.3-3.mga5
+ Revision: 635413
- add upstream patches 001, 004, 005, and 006
- add upstream patch to fix CVE-2014-2524

* Sun Apr 06 2014 dglent <dglent> 6.3-2.mga5
+ Revision: 612209
- Fix crash in python interpreter (mga#13150)

* Sat Mar 01 2014 luigiwalser <luigiwalser> 6.3-1.mga5
+ Revision: 598430
- 6.3
- rediff patches 3 and 4
- remove upstream patch 101

* Sat Oct 19 2013 umeabot <umeabot> 6.2-9.mga4
+ Revision: 527736
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 6.2-8.mga4
+ Revision: 442014
- add FC patch for GDB

* Mon Jan 14 2013 umeabot <umeabot> 6.2-7.mga3
+ Revision: 380254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 6.2-6.mga3
+ Revision: 305465
- Documentation group

* Sat Jul 21 2012 colin <colin> 6.2-5.mga3
+ Revision: 273158
- Update for usrmove

* Thu Dec 29 2011 fwang <fwang> 6.2-4.mga2
+ Revision: 188691
- update license

* Thu Dec 15 2011 barjac <barjac> 6.2-3.mga2
+ Revision: 182275
- Changed Requires, Removed CFLAGS/CXXFLAGS mod, cleaned
- Change args to *FLAGS from ncurses to ncursesw
- Fix perm - bug #3053 and some cleaning
+ misc <misc>
- link with ncursesw, fix #2156

* Fri Apr 15 2011 ahmad <ahmad> 6.2-1.mga1
+ Revision: 85627
- update to 6.2
- add upstream patch 001

* Sat Jan 08 2011 blino <blino> 6.1-4.mga1
+ Revision: 655
- remove old ldconfig calls
- imported package readline


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 6.1-3mdv2011.0
+ Revision: 607337
- rebuild

* Wed Mar 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 6.1-2mdv2010.1
+ Revision: 530534
- apply 2 official patches

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 6.1-1mdv2010.1
+ Revision: 484989
- Update to new version 6.1
- Remove patches integrated upstream

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 6.0-2mdv2010.0
+ Revision: 390322
- add three upstream patches
- spec file clean

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.0-1mdv2009.1
+ Revision: 344412
- new version
- drop merged patches
- drop undocumented readline-5.2-inv.patch
- new devel policy
- rename doc package to readline-doc

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.2-11mdv2009.1
+ Revision: 329253
- enable multibyte characters

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 5.2-10mdv2009.1
+ Revision: 317557
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 5.2-9mdv2009.0
+ Revision: 265632
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 5.2-8mdv2009.0
+ Revision: 212604
- add more ubuntu patches
- hardlink against ncurses

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add requires on libncurses-devel for devel package

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Mon Dec 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 5.2-7mdv2008.1
+ Revision: 139706
- new license policy
- use upstream source file, add *.sig
- reorganize patches
- add ten upstream patches - mostly they fixes displaying characters under bash, more info can be found in each patch file
- compile against ncurses
- use macros
- make use of %%major in spec file
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.2-6mdv2008.0
+ Revision: 90249
- rebuild

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 5.2-5mdv2008.0
+ Revision: 89540
- rebuild due to package loss

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 5.2-4mdv2008.0
+ Revision: 36197
- rebuild with correct optflags

  + Thierry Vignaud <tv@mandriva.org>
    - kill bogus patch 5 (#28432), add by Geoffrey Lee in 4.1-15mdk on behalf of
      <mlord@pobox.com>, with no explanation

* Mon May 28 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 5.2-2mdv2008.0
+ Revision: 32180
+ rebuild (emptylog)

* Mon May 28 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 5.2-1mdv2008.0
+ Revision: 32035
- introduce readline-doc package, with info documentation. The
  manuals were on the -devel package, but they're of general use.


* Thu Feb 01 2007 Emmanuel Andry <eandry@mandriva.org> 5.2-1mdv2007.0
+ Revision: 115840
- New version 5.2
- drop patches 11 and 18
- add upstream patch (P12)

* Sun Oct 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1-3mdv2007.0
+ Revision: 64867
- bzip2 cleanup
- rebuild

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1-2mdv2007.1
+ Revision: 63476
- bunzip patches
- Import readline

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.1-1mdk
- new release
- drop patch 2 (was merged long ago but was still wrongly aplied because patch
  defaults to -F 2 :-( )
- drop patch 4 (rh patch dropped in fedora)
- drop patch 17 (merged upstream)
- drop patches 11 to 15 (upstream patches)
- patch 11: add official patch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.0-3mdk
- Rebuild

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.0-2mdk
- from fedora:
	o Fix line-wrapping (bug #145329).
	o Apply "read -e" patch from bash package.

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.0-1mdk
- 5.0
- bump major
- sync with fedora patches
- drop P1 (weren't applied), P100 & P101 (merged upstream)
- add url
- cosmetics

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3-9mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3-8mdk
- lib64 fixes

